Ask Your Question

blueskyguy's profile - activity

2014-07-18 15:15:09 +0200 received badge  Famous Question (source)
2014-07-12 11:13:39 +0200 received badge  Student (source)
2014-07-12 11:11:54 +0200 received badge  Notable Question (source)
2014-07-11 16:04:31 +0200 received badge  Popular Question (source)
2014-07-10 01:53:09 +0200 asked a question Should I download 4.2.5 for Mac OS X (Intel) or 4.2.5 for Mac OS X (x86_64 10.8 or newer required) for Mac OS X v10.9 (mavericks)?

I have a Mac with OS X v10.9 (mavericks) - which download version should I use - LibreOffice 4.2.5 for Mac OS X (Intel) or LibreOffice 4.2.5 for Mac OS X (x86_64 10.8 or newer required)?